org.icefaces.ace.component.sliderentry

## Class SliderEntryBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.sliderentry.SliderEntryBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ISliderEntry
  Direct Known Subclasses:
    SliderEntry

      public abstract class SliderEntryBase
      extends javax.faces.component.UIComponentBase
      implements ISliderEntry, IceClientBehaviorHolder

  The Slider Entry is a component that enables the user to adjust values in a finite range along a horizontal or vertical axis via dragging the slider control along the slider bar, or pressing the arrow-keys. It can be used as a visual replacement for an input box that takes a number as input.

  For more information, see the SliderEntry Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SliderEntryBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliderEntryBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getAxis()` Return the value of the `axis` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getLength()` Return the value of the `length` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `int` | `getMax()` Return the value of the `max` property.
    `int` | `getMin()` Return the value of the `min` property.
    `java.lang.String` | `getOnSlide()` Return the value of the `onSlide` property.
    `java.lang.String` | `getOnSlideEnd()` Return the value of the `onSlideEnd` property.
    `java.lang.String` | `getOnSlideStart()` Return the value of the `onSlideStart` property.
    `float` | `getStepPercent()` Return the value of the `stepPercent` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.Integer` | `getTabindex()` Return the value of the `tabindex` property.
    `int` | `getValue()` Return the value of the `value` property.
    `javax.el.MethodExpression` | `getValueChangeListener()` Return the value of the `valueChangeListener` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `boolean` | `isAnimate()` Return the value of the `animate` property.
    `boolean` | `isClickableRail()` Return the value of the `clickableRail` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isImmediate()` Return the value of the `immediate` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isShowLabels()` Return the value of the `showLabels` property.
    `void` | `setAnimate(boolean animate)` Set the value of the `animate` property.
    `void` | `setAxis(java.lang.String axis)` Set the value of the `axis` property.
    `void` | `setClickableRail(boolean clickableRail)` Set the value of the `clickableRail` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setImmediate(boolean immediate)` Set the value of the `immediate` property.
    `void` | `setLength(java.lang.String length)` Set the value of the `length` property.
    `void` | `setMax(int max)` Set the value of the `max` property.
    `void` | `setMin(int min)` Set the value of the `min` property.
    `void` | `setOnSlide(java.lang.String onSlide)` Set the value of the `onSlide` property.
    `void` | `setOnSlideEnd(java.lang.String onSlideEnd)` Set the value of the `onSlideEnd` property.
    `void` | `setOnSlideStart(java.lang.String onSlideStart)` Set the value of the `onSlideStart` property.
    `void` | `setShowLabels(boolean showLabels)` Set the value of the `showLabels` property.
    `void` | `setStepPercent(float stepPercent)` Set the value of the `stepPercent` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabindex(java.lang.Integer tabindex)` Set the value of the `tabindex` property.
    `void` | `setValue(int value)` Set the value of the `value` property.
    `void` | `setValueChangeListener(javax.el.MethodExpression valueChangeListener)` Set the value of the `valueChangeListener` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SliderEntryBase

          public SliderEntryBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setAnimate

          public void setAnimate(boolean animate)

      Set the value of the `animate` property.

      Contents: Defines whether or not the slider control will use an animated transition to move to a new location when the user clicks outside handle on the slider rail.

      Specified by:
        `setAnimate` in interface `ISliderEntry`

    - #### isAnimate

          public boolean isAnimate()

      Return the value of the `animate` property.

      Contents: Defines whether or not the slider control will use an animated transition to move to a new location when the user clicks outside handle on the slider rail. Default = 'true'.

      Specified by:
        `isAnimate` in interface `ISliderEntry`

    - #### setAxis

          public void setAxis(java.lang.String axis)

      Set the value of the `axis` property.

      Contents: The orientation that the slider is rendered in, either vertical ('y'), or horizontal ('x').

      Specified by:
        `setAxis` in interface `ISliderEntry`

    - #### getAxis

          public java.lang.String getAxis()

      Return the value of the `axis` property.

      Contents: The orientation that the slider is rendered in, either vertical ('y'), or horizontal ('x'). Default = 'x'.

      Specified by:
        `getAxis` in interface `ISliderEntry`

    - #### setClickableRail

          public void setClickableRail(boolean clickableRail)

      Set the value of the `clickableRail` property.

      Contents: Defines whether or not a mouse-click at a location along the slider rail should reposition the slider control to that location (and adjust the value accordingly).

      Specified by:
        `setClickableRail` in interface `ISliderEntry`

    - #### isClickableRail

          public boolean isClickableRail()

      Return the value of the `clickableRail` property.

      Contents: Defines whether or not a mouse-click at a location along the slider rail should reposition the slider control to that location (and adjust the value accordingly). Default = 'true'.

      Specified by:
        `isClickableRail` in interface `ISliderEntry`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Defines whether or not the component is disabled. When disabled='true', this component is unable to receive focus and cannot be interacted with by the user.

      Specified by:
        `setDisabled` in interface `ISliderEntry`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Defines whether or not the component is disabled. When disabled='true', this component is unable to receive focus and cannot be interacted with by the user. Default = 'false'.

      Specified by:
        `isDisabled` in interface `ISliderEntry`

    - #### setImmediate

          public void setImmediate(boolean immediate)

      Set the value of the `immediate` property.

      Contents: Defines whether or not conversion and validation of this component's value should occur during Apply Request Values phase instead of Process Validations phase.

      Specified by:
        `setImmediate` in interface `ISliderEntry`

    - #### isImmediate

          public boolean isImmediate()

      Return the value of the `immediate` property.

      Contents: Defines whether or not conversion and validation of this component's value should occur during Apply Request Values phase instead of Process Validations phase. Default = 'false'.

      Specified by:
        `isImmediate` in interface `ISliderEntry`

    - #### setLength

          public void setLength(java.lang.String length)

      Set the value of the `length` property.

      Contents: The length of slider bar.Note: If the range of the slider (max-min) is greater than the length, then the slider can not accurately represent every value in the range. If the discrepancy is too great, then arrow key stepping may not precisely reflect the stepPercent property.

      Specified by:
        `setLength` in interface `ISliderEntry`

    - #### getLength

          public java.lang.String getLength()

      Return the value of the `length` property.

      Contents: The length of slider bar.Note: If the range of the slider (max-min) is greater than the length, then the slider can not accurately represent every value in the range. If the discrepancy is too great, then arrow key stepping may not precisely reflect the stepPercent property. Default = '150px'.

      Specified by:
        `getLength` in interface `ISliderEntry`

    - #### setMax

          public void setMax(int max)

      Set the value of the `max` property.

      Contents: The maximum int value that can be selected in the value-entry range represented by the slider bar.

      Specified by:
        `setMax` in interface `ISliderEntry`

    - #### getMax

          public int getMax()

      Return the value of the `max` property.

      Contents: The maximum int value that can be selected in the value-entry range represented by the slider bar. Default = '100'.

      Specified by:
        `getMax` in interface `ISliderEntry`

    - #### setMin

          public void setMin(int min)

      Set the value of the `min` property.

      Contents: The minimum int value that can be selected in the value-entry range represented by the slider bar.

      Specified by:
        `setMin` in interface `ISliderEntry`

    - #### getMin

          public int getMin()

      Return the value of the `min` property.

      Contents: The minimum int value that can be selected in the value-entry range represented by the slider bar. Default = '0'.

      Specified by:
        `getMin` in interface `ISliderEntry`

    - #### setOnSlide

          public void setOnSlide(java.lang.String onSlide)

      Set the value of the `onSlide` property.

      Contents: This event is fired each time the the slider control is moved during a drag operation.

      Specified by:
        `setOnSlide` in interface `ISliderEntry`

    - #### getOnSlide

          public java.lang.String getOnSlide()

      Return the value of the `onSlide` property.

      Contents: This event is fired each time the the slider control is moved during a drag operation.

      Specified by:
        `getOnSlide` in interface `ISliderEntry`

    - #### setOnSlideEnd

          public void setOnSlideEnd(java.lang.String onSlideEnd)

      Set the value of the `onSlideEnd` property.

      Contents: This event is fired when a drag operation is completed by releasing the slider control.

      Specified by:
        `setOnSlideEnd` in interface `ISliderEntry`

    - #### getOnSlideEnd

          public java.lang.String getOnSlideEnd()

      Return the value of the `onSlideEnd` property.

      Contents: This event is fired when a drag operation is completed by releasing the slider control.

      Specified by:
        `getOnSlideEnd` in interface `ISliderEntry`

    - #### setOnSlideStart

          public void setOnSlideStart(java.lang.String onSlideStart)

      Set the value of the `onSlideStart` property.

      Contents: This event is fired when a drag operation on the slider control is initiated.

      Specified by:
        `setOnSlideStart` in interface `ISliderEntry`

    - #### getOnSlideStart

          public java.lang.String getOnSlideStart()

      Return the value of the `onSlideStart` property.

      Contents: This event is fired when a drag operation on the slider control is initiated.

      Specified by:
        `getOnSlideStart` in interface `ISliderEntry`

    - #### setShowLabels

          public void setShowLabels(boolean showLabels)

      Set the value of the `showLabels` property.

      Contents: Defines whether or not labels for the min and max values should be rendered at the ends of the rail.

      Specified by:
        `setShowLabels` in interface `ISliderEntry`

    - #### isShowLabels

          public boolean isShowLabels()

      Return the value of the `showLabels` property.

      Contents: Defines whether or not labels for the min and max values should be rendered at the ends of the rail. Default = 'false'.

      Specified by:
        `isShowLabels` in interface `ISliderEntry`

    - #### setStepPercent

          public void setStepPercent(float stepPercent)

      Set the value of the `stepPercent` property.

      Contents: The amount to move the slider position in response to keyboard arrow-key input. This float value represents a percentage of the value-entry range defined by the min and max attributes. For example, with min='0', max='50', and stepPercent='10', each arrow keypress will increment/decrement the slider value by 5 (10% of 50).

      Specified by:
        `setStepPercent` in interface `ISliderEntry`

    - #### getStepPercent

          public float getStepPercent()

      Return the value of the `stepPercent` property.

      Contents: The amount to move the slider position in response to keyboard arrow-key input. This float value represents a percentage of the value-entry range defined by the min and max attributes. For example, with min='0', max='50', and stepPercent='10', each arrow keypress will increment/decrement the slider value by 5 (10% of 50). Default = '1f'.

      Specified by:
        `getStepPercent` in interface `ISliderEntry`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `setStyle` in interface `ISliderEntry`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `getStyle` in interface `ISliderEntry`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `setStyleClass` in interface `ISliderEntry`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `getStyleClass` in interface `ISliderEntry`

    - #### setTabindex

          public void setTabindex(java.lang.Integer tabindex)

      Set the value of the `tabindex` property.

      Contents: The browser tabindex (int) of the component.

      Specified by:
        `setTabindex` in interface `ISliderEntry`

    - #### getTabindex

          public java.lang.Integer getTabindex()

      Return the value of the `tabindex` property.

      Contents: The browser tabindex (int) of the component.

      Specified by:
        `getTabindex` in interface `ISliderEntry`

    - #### setValue

          public void setValue(int value)

      Set the value of the `value` property.

      Contents: The value of the slider control.

      Specified by:
        `setValue` in interface `ISliderEntry`

    - #### getValue

          public int getValue()

      Return the value of the `value` property.

      Contents: The value of the slider control. Default = '0'.

      Specified by:
        `getValue` in interface `ISliderEntry`

    - #### setValueChangeListener

          public void setValueChangeListener(javax.el.MethodExpression valueChangeListener)

      Set the value of the `valueChangeListener` property.

      Contents: MethodExpression representing a value change listener method that will be notified when a new value has been set for this input component. The expression must evaluate to a public method that takes a ValueChangeEvent parameter, with a return type of void, or to a public method that takes no arguments with a return type of void. In the latter case, the method has no way of easily knowing what the new value is, but this can be useful in cases where a notification is needed that "this value changed".

      Specified by:
        `setValueChangeListener` in interface `ISliderEntry`

    - #### getValueChangeListener

          public javax.el.MethodExpression getValueChangeListener()

      Return the value of the `valueChangeListener` property.

      Contents: MethodExpression representing a value change listener method that will be notified when a new value has been set for this input component. The expression must evaluate to a public method that takes a ValueChangeEvent parameter, with a return type of void, or to a public method that takes no arguments with a return type of void. In the latter case, the method has no way of easily knowing what the new value is, but this can be useful in cases where a notification is needed that "this value changed".

      Specified by:
        `getValueChangeListener` in interface `ISliderEntry`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: The JavaScript object name that implements the client-side JavaScript API for this component.

      Specified by:
        `setWidgetVar` in interface `ISliderEntry`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: The JavaScript object name that implements the client-side JavaScript API for this component.

      Specified by:
        `getWidgetVar` in interface `ISliderEntry`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.